/***************************************************************************
 *   Copyright (C) 2010 by Herbert Roider   *
 *   herbert.roider@utanet.at   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
/*
 * DlgArrowTabUpdateable.h
 *  Created on: 26.10.2009
 */

#ifndef DLGARROWTABUPDATEABLE_H_
#define DLGARROWTABUPDATEABLE_H_

#include "Pfeil.h"
#include "DlgArrowModel.h"
class DlgArrowModel;

class DlgArrowTabUpdateable {
protected:
	DlgArrowModel *m_pControler;
public:
	DlgArrowTabUpdateable();
	//virtual ~DlgArrowTabUpdateable() = 0;
    virtual void update(CPfeil *arrow)= 0;
    virtual void calc(CPfeil *arrow)= 0;
    void update_all_views();
    virtual void addView(DlgArrowModel *dlg) = 0;
};

#endif /* DLGARROWTABUPDATEABLE_H_ */
