/***************************************************************************
 *   Copyright (C) 2010 by Herbert Roider   *
 *   herbert.roider@utanet.at   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef DLGCSVSETTINGS_H
#define DLGCSVSETTINGS_H

#include <QDialog>
#include "ui_dlgCsvSettings.h"
#include <string>
//#include <kconfig.h>
//using namespace std;
/**for selecting a format for save the trajectorytable
  *@author Herbert Roider
  */

class DlgCsvSettings : public QDialog  {
   Q_OBJECT
public:
	DlgCsvSettings(QWidget *parent=0,  Qt::WFlags f=0);
	~DlgCsvSettings();


    int init(QString* ptr_field_sep, QString* ptr_textquote);

//public:
//    virtual void cmdCancel_clicked();
protected slots:
    void accept();

protected:

    QString* m_ptr_field_sep;//for the csv-file
    QString* m_ptr_field_textquote;// for the csv-file

private:
    Ui::DlgCsvSettings ui;

};

#endif
