/***************************************************************************
 *   Copyright (C) 2009 by Herbert Roider   *
 *   herbert.roider@utanet.at   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *

 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef Zielgeraet_h
#define Zielgeraet_h

#include <string>
#include <iostream>
#include <math.h>
#include <errno.h>
#include <fstream>
#include <vector>
#include <ballistic/utility.h>
#include <QString>

//Konstanten f�r den Typ:
#define KIMME_U_KORN    1
#define BENUTZERDEF        2

class CZielgeraet
{

public:

	CZielgeraet();
    CZielgeraet(const CZielgeraet & z)    {*this = z;};
    ~CZielgeraet();

    int m_iTyp;//Horton = 0,Kimme u. Korn = 1, Benutzerdef. = 2
    std::vector<arw::utility::vector_3d> m_marks; // m/m
    arw::utility::vector_3d m_graduation;// m/m/U or m/m*U

    CZielgeraet & operator = (const CZielgeraet &z);
};

#endif


